sound player_hurt = <player_hurt.wav>;
define gegner, flag1;
sound laugh   = <laugh.wav>;
sound die   = <die.wav>;
sound hit = <hit.wav>;
bind <bullet.mdl>;
define health, skill1;//Skill1 ist jetzt Health
var player_distance;

function bullet_event()
{
	my.passable = on;
	if(you == 0)//wenn eine Wand getrofffen wird
	{
		ent_playsound(my,hit,2000);
		ent_remove(me);
		return;
	}
	if(you != 0)
	{
		if(you == player)//wenn der player getroffen wird
		{
			snd_play(player_hurt,100,0);
			player.SKILL9 -= 10;
			ent_remove(me);
			return;
		}
		else// wen jemand anders getroffen wird
		{
			ent_playsound(my,hit,2000);
			ent_remove(me);
			return;
		}
	}
}

function bullet_move()
{
	my.narrow = on;
	wait(1);
	my.min_x = -1;  //ist klein genug, um nicht mit dem gegner zu kollidieren
	my.min_y = -1;
	my.max_x = 1;///    ""	
	my.max_y = 1;
	my.enable_entity = on; //ist empfindlich fr Berhrungen
	my.enable_impact = on; //ist empfindlich fr Berhrungen
	my.enable_block = on; //ist empfindlich fr Berhrungen
	my.event = bullet_event;//wenn berhrt, dann bullet event();
	my.pan = you.pan;//schiee in die gleiche richtung wie das monster
	my.bright = on;
	my.flare = on;
	my.ambient = 100;
	my.unlit = on;
	while (1)
	{
		move_mode = ignore_you+ignore_passable+glide;
		ent_move(vector(20*time,0,0),nullvector);//bewege mich
		wait(1);
	}
}

action enemy
{
	while(player == 0){wait(1);}
	var shot_pos;
	var enemy_distance;
	wait(1);
	my.min_x = -20;
	my.min_y = -20;
	my.max_x = 20;
	my.max_y = 20;
	my.gegner = on;//ich bin ein Bsewicht
	move_mode = ignore_passable+glide;//ignoriert passierbare Blocks und Entities
	my.health = 100;//Ich habe 100 Lebenspunkte

	while (my.health > 0)//solange ich lebe
	{
		//wenn der player nher als 800 quants ist, laufe auf ihn zu
		if (vec_dist (my.x, player.x) < 800 && player.health > 0)&&(vec_dist (my.x, player.x) > 600)
		{
			if(my.skill5 == 0){ent_playsound(my,laugh,2000);my.skill5 = 1;}// lache fies (evil laugh),wenn er den player entdeckt
			vec_set(temp, player.x); 
			vec_sub(temp, my.x);
			vec_to_angle(my.pan, temp);
			enemy_distance.x = 5 * time;

			//schwerkraft, gravity
			vec_set (temp, my.x);
			temp.z -= 1000; 
			trace_mode = ignore_me + ignore_passable + use_box; 
			enemy_distance.z = -trace (my.x, temp);

			//bewege mich, move
			move_mode = ignore_passable+glide+ignore_you;//ignoriert passierbare Blocks und Entities
			ent_move(enemy_distance, nullvector);
			ent_cycle("walk", my.skill4); //Laufanimation
			my.skill4 += 5 * time; // "Animationsgeschwindigkeit
			if (my.skill4 > 100) {my.skill4 = 0;} //wiederhole animation
		}




		
		//wenn er nher als 500 Quants ist, greife ihn an   
		if (vec_dist (my.x, player.x) < 600)
		{
			vec_set(temp, player.x); 
			vec_sub(temp, my.x);
			vec_to_angle(my.pan, temp);
			ent_cycle("attack", my.skill4); //attack Animation
			if(my.skill4 > 25)&&(my.skill4 < 27)
			{
				vec_for_vertex (shot_pos, my, 259);

				/////////////hier den vertex der knarre angeben(bei vec_for_vertex), in Med den vertex nachgucken

				ent_playsound(my,hit,2000);
				ent_create("bullet.mdl",shot_pos,bullet_move);
			}
			my.skill4 += 7 * time; // "Animationsgeschwindigkeit
			if (my.skill4 > 100) {ent_cycle("stand", my.skill4);waitt(10);my.skill4 = 0;} //wiederhole Animation
		}
		
		
		//wenn der player weiter weg ist, stehe nur doof rum
		if (vec_dist (my.x, player.x) > 800)
		{
			my.skill5 = 0;
			ent_cycle("stand", my.skill4);//stehanimation
			my.skill4 += 0.5 * time;
			if (my.skill4 > 100) {my.skill4 = 0;}
		}
		wait (1);
	}
	
	//wenn das monster tot ist
	my.skill4 = 0;//animation zurcksetzen
	my.tilt = 0;//ich stehe senkrecht zum boden
	ent_playsound(my,die,2000);
	while (my.skill4 < 70)
	{
		my.passable = on;//man kann einfach durch ihn durchlaufen
		ent_cycle("death", my.skill4);// spiele sterbeanimation
		my.skill4 += 5 * time; // Animationsgeschwindigkeit
		wait (1);
	}
}