/***************************************************
  transporter.wdl, created with EasyParticle 3.1.
  This script can be used free and without credits.
  How to use:
    Implement the script via include <transporter.wdl>; in your main WDL file.
    The action name is: transporter_action
   If you recognize any mistakes in the script, please contact the support ( Support@EasyParticle.de ).
   Have fun with the script
   TripleX --- Hawkgames
*****************************************************/
bmap transporterBmap = <stern.tga>;
VAR transporterAnzahlPartikel = 1; //number of particles used for this effect


var transporter_abstand;

Function transporter_spec_fun()
{
    my.alpha -= 5 *time;
    IF(My.alpha < 0) { my.alpha = 0; my.lifespan = 0; }
}

Function transporterspezial()
{
    my.blue = 128 ;
    my.green = 128 ;
    my.red = 128 ;
    my.bmap = transporterBmap;  //the effect bitmap
    my.vel_x = random( 3 ) - 1.500 ;
    my.vel_y = random( 3 ) - 1.500 ;
    my.vel_z = random( 3 );
    my.size = 1 ;
    my.alpha = 50 ;
    my.gravity = 0 ;
    my.streak = off;
    my.flare = on;
    my.bright = on;
    my.beam = off;
    my.move = on;
    my.transparent = on;
    my.function = transporter_spec_fun;
}


Function transporter()
{
  while(1)
  {
     transporterAnzahlPartikel = 1;
      my.skill9 = 0;
      my.skill10 = 0;
      transporter_abstand = 40;
      my.skill11 = 400 ;
      while(my.skill9 < my.skill11)
      {
        temp.x = my.x + sin(my.skill9)*my.skill10;
        temp.y = my.y + cos(my.skill9)*my.skill10;
        temp.z = my.z + my.skill10;
        my.skill9 += 15;
       my.skill10 += 1;
        effect(transporterspezial,max(1,int(transporterAnzahlPartikel*time)),temp,nullvector);
      }
     wait(1);
  }
}


action transporter_action
{
  my.invisible = on;
  My.passable = on;
  transporter();
}


